[Bug 413225] Re: Please sync azureus 4.2.0.4-1 (universe) from Debian unstable (main)

Nicolas Van Wambeke nicolasvw at free.fr
Fri Aug 14 13:57:26 BST 2009


** Summary changed:

- Please merge azureus 4.2.0.4-1 (universe) from Debian unstable (main)
+ Please sync azureus 4.2.0.4-1 (universe) from Debian unstable (main)

** Description changed:

  Binary package hint: azureus
  
- Great work has been performed in debian to get 4.2.0.4-1 packaged; main
- changes:
+ The following ubuntu delta are now integrated in the debian package:
+     * Refer to Vuze in desktop file
+     * Multiuser patch
+     * gconf schema for magnet URLs
+     * azureus.desktup: %U -> %f (otherwise file associations don't work)
+     * Drop build dependency fastjar.
+     * Add 'Homepage' field.
+     * JRE dependency 'openjdk-6-jre | sun-java5-jre | sun-java6-jre'.
  
- azureus (4.2.0.4-1) unstable; urgency=low
+ The remaining deltas:
+     - debian/control
+       * Change 'openjdk-6-jdk' to 'default-jdk'.
  
-   * New upstream release.
-   * debian/control:
-     - Update maintainer.
-     - Update Standards-Version to 3.8.2.
-     - Add Homepage field.
-     - Update Vuze description to reflect some of it's new features and
-       the package role.
-     - Build-Depends on ant, cdbs, quilt, debhelper (>= 7.0).
-     - Build-Depends-Indep on openjdk-6-jre | sun-java5-jre |
-       sun-java6-jre. Closes: #515015, #398014.
-     - Drop fastjar build dependency.
-     - Add Vcs-Svn and Vcs-Browser fields.
-   * debian/rules:
-     - Use CDBS build system.
-     - ANT_OPTS=-Xmx256m. Closes: #516059, #409952.
-   * debian/patches:
-     - fix-chars-encoding.patch: Fix encoding in characters translation.
-     - fix-platform-code: Remove Win32 and MacOS-X imports and logic.
-     - fix-messagetext-dont-use-privileges: Don't use AccessController.
-       Thanks to Shaun Jackman.
-     - multiuser.patch: Import multiuser patch. Closes: #329018.
-       Thanks to Stefano Maioli.
-     - Disable component update patches: Closes: #455351.
-         + updater-dont-initialize-swt-updatechecker.patch:
-           Prevent Azureus' updater from upgrading SWT libraries.
-         + updater-dont-register-core-updatechecker.patch:
-           Prevent Azureus' updater from upgrading the core version of Azureus.
-     - Add patch descriptions, with DEP-3 compliance.
-   * debian/copyright:
-     - Change to machine-readable format.
-     - Notice package adoption.
-     - Update copyright information and holders.
-   * debian/watch: Update file.
-   * debian/compat: Bump compatibility to 7.
-   * debian/docs: Remove reference to README.txt.
-   * debian/azureus.desktop:
-     - Fix handling file associations. Closes: #491624.
-       Thanks to Stefano Maioli.
-   * debian/vuze.links: usr/bin/vuze is now a symbolic link to azureus.
-   * Import README.multiuser, which documents the multiuser patch.
-   * Use quilt patch system and add README.source documenting it.
-   * Update azureus and link vuze manpages.
-   * Create new PNG files for Vuze and Vuze torrents, uuencoded in debian/.
-   * Remove source.lintian-overrides, no longer necessary.
-   * Import gconf schema for magnet URLs. Closes: #412213.
-     Thanks to Stefano Maioli.
-   * Add debian/README.Debian: describe the user interface override and the
-     update patches.
-   * Add debian/NEWS.Debian.
-   * Remove debian/dirs since it's unnecessary.
-   * Use java-wrappers as launcher. Thanks to Onkar Shinde for the suggestion.
-   * debian/wrappers/azureus:
-     - Detect installed JVM and set classpath.
-     - User interface override applies only when vuze is not installed.
+ do not justify maintaining a separate package in ubuntu and can be
+ dropped (see discussion with Onkar below).
  
-  -- Adrian Perez <adrianperez.deb at gmail.com>  Wed, 12 Aug 2009 11:35:24
- -0400
+ Additionally, this sync will close LP bugs #348109 (by the use of java-
+ wrappers) and #321922 (new version request).

-- 
Please sync azureus 4.2.0.4-1 (universe) from Debian unstable (main)
https://bugs.launchpad.net/bugs/413225
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list